*,
*::before,
*::after {
  box-sizing: border-box;
}

p,
h1,
h2,
h3,
blockquote,
ul,
ol,
li,
figure {
  margin: 0;
}

a:focus,
button:focus {
  outline: none;
}

a:focus-visible,
button:focus-visible {
  outline: 1px solid var(--text-color);
  outline-offset: 2px;
}

button:disabled {
  pointer-events: none;
}

.page {
  max-width: 1440px;
  margin: 0 auto;
  color: var(--text-color, #312a4e);
  font-family: var(--main-font, Avant Garde, Candara, sans-serif);
  background-color: var(--bg-color, #f3efec);
  min-inline-size: 360px;
}

.content-section {
  padding: 0 5vi;
}

.header {
  padding-top: 10%;
}

.header__menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 1px solid var(--text-color);
  border-bottom: 1px solid var(--text-color);
  padding-block: 20px;
}

.header__theme-toggler {
  display: flex;
  align-items: stretch;
  gap: 20px;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.header__theme-button {
  position: relative;
  z-index: 1;
  margin: 0;
  border: none;
  padding: 0;
  color: var(--text-color);
  font-family: inherit;
  font-weight: 400;
  font-size: 18px;
  line-height: 104%;
  background-color: transparent;
  cursor: pointer;
}

.header__theme-button:hover {
  text-decoration: underline;
}

.header__theme-button_is-active {
  font-weight: 700;
}

.header__theme-button_is-active::after {
  content: '';
  position: absolute;
  bottom: 1px;
  left: 50%;
  z-index: -1;

  opacity: 1;
  background: var(--accent-color);
  transition: all 0.3s ease;
  transform: translateX(-50%);
  /* width: 105%; */
  inline-size: calc(100% + 8px);

  /* height: 5px; */
  block-size: 0.5ch;

  inset-block-end: 0.3ch;
  /* inset-inline-start: -4px; */
}

.theme_dark .header__theme-button_is-active::after {
  background: url(../images/pattern.svg) center / contain repeat;
}

.heading {
  font-family: var(--accent-font, Geneva, Gill Sans, serif);
  font-weight: 600;
  line-height: 90%;
  text-align: center;
}

.header__title {
  margin-bottom: 40px;
  font-size: clamp(3.75rem, 2.5rem + 5.5556vw, 7.5rem);
}

.content__title {
  margin-top: 7%;
  margin-bottom: 2.5%;
  font-size: 30px;
}

.content__text-block {
  font-size: 18px;
}

.content__text-block .content__paragraph:not(:last-of-type) {
  margin-bottom: 1.5em;
}

.content__paragraph a {
  color: inherit;
  text-decoration-skip-ink: none;
  text-underline-offset: 2px;
}

.content__blockquote {
  width: 75%;
  margin: 0 auto 1.5em;
  font-weight: 400;
  font-style: italic;
  line-height: 200%;
}

.content__list {
  padding-inline-start: 40px;
  list-style-type: none;
}

.content__item {
  position: relative;
}

.content__item:not(:last-of-type) {
  margin-bottom: 10px;
}

.content__item::before {
  content: '';
  position: absolute;
  /* top: 3px;
  left: -23px; */
  width: 15px;
  margin-block-start: -7.5px;
  background: url(../images/marker-light.svg) 50% 50% / contain no-repeat;
  aspect-ratio: 1/1;
  inset-block-start: 50%;
  inset-inline-start: -25px;
}

.theme_dark .content__item::before {
  background: url(../images/marker-dark.svg) 50% 50% / contain no-repeat;
}

.content__text-block_type_first-lettered
  > .content__paragraph:first-of-type::first-letter {
  display: inline-block;
  margin-right: 1px;
  padding: 0 4px;
  font-weight: 700;
  font-size: 30px;
  background-color: var(--accent-color);
}

.theme_dark
  .content__text-block_type_first-lettered
  > .content__paragraph:first-of-type::first-letter {
  border: 1px solid var(--text-color);
  background-color: transparent;
}

.content__figure {
  position: relative;
  /* max-width: 1440px; */
  margin: 7% auto;
  inline-size: calc(100% + 10vi);

  /* сдвигаем изображение влево от ширины всего окна (vi) */
  inset-inline-end: 5vi;
}

.content__picture {
  width: 100%;
}

.content__picture-caption {
  border-bottom: 1px solid var(--text-color);
  padding-inline: 0px;
  padding-block: 20px;
  text-align: center;
}

.content__card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  /* margin-top: 7%; */
  margin-block-start: 7%;
  border: 1px solid var(--text-color);
  aspect-ratio: 4 / 3;
}

.content__card-title {
  font-size: 60px;
}

.content__card-subtitle {
  font-weight: 400;
  font-size: 18px;
  text-align: center;
}

.colored-text {
  position: relative;
  z-index: 1;
  display: inline-block;
}

.colored-text::after {
  content: '';
  position: absolute;
  bottom: 7px;
  left: 50%;
  z-index: -1;
  background-color: var(--accent-color);
  transform: translateX(-50%);
  /* width: 105%; */
  inline-size: calc(100% + 8px);

  /* height: 15px; */
  block-size: 0.5ch;

  inset-block-end: 0.3ch;
  /* inset-inline-start: -4px; */
}

.theme_dark .colored-text::after {
  background: url(../images/pattern.svg) center / contain repeat;
}

.footer {
  margin-block-start: 10%;
  border-block-start: 1px solid var(--text-color);
  padding: 2.5%;
}

.footer__copyright {
  color: var(--text-color);
  font-weight: 400;
  font-size: 18px;
  text-align: center;
  text-transform: uppercase;
}
